当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 12 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 安装ati官方闭源驱动出错,求高手解决?
帖子发表于 : 2010-05-12 11:20 
头像

注册: 2010-03-12 17:07
帖子: 12
送出感谢: 0 次
接收感谢: 0 次
系统为ubuntu10.04,内核是2.6.33-020633-generic,显卡是hd4570,从官方下载ati-driver-installer-10-4-x86.x86_64.run,安装出错,如下:
ATI Technologies Linux Driver Installer/Packager
==================================================
Detected configuration:
Architecture: i686 (32-bit)
X Server: X.Org 7.5
DKMS part of installation failed. Please refer to /usr/share/ati/fglrx-install.log for details
Removing temporary directory: fglrx-install.A7tpU8

而fglrx-install.log内容是:


Creating symlink /var/lib/dkms/fglrx/8.723/source ->
/usr/src/fglrx-8.723

DKMS: add Completed.

Kernel preparation unnecessary for this kernel. Skipping...

Building module:
cleaning build area....
cd /var/lib/dkms/fglrx/8.723/build; sh make.sh --nohints --uname_r=2.6.33-020633-generic --norootcheck....(bad exit status: 1)
0
0
[Error] Kernel Module : Failed to build fglrx-8.723 with DKMS
[Error] Kernel Module : Removing fglrx-8.723 from DKMS

------------------------------
Deleting module version: 8.723
completely from the DKMS tree.
------------------------------
Done.

不知道错误怎么分析,求各位大虾,指导下,小第感激不尽........
再想弱弱的问一下:显卡驱动与内核版本有关么?


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 安装ati官方闭源驱动出错,求高手解决?
帖子发表于 : 2010-05-12 11:26 
头像

注册: 2007-05-06 2:46
帖子: 15634
送出感谢: 0 次
接收感谢: 2
大虾都用开源默认的,省下气力干正经事

大瞎才折腾闭源


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 安装ati官方闭源驱动出错,求高手解决?
帖子发表于 : 2010-05-12 11:42 
头像

注册: 2008-03-25 15:49
帖子: 25877
地址: 谁知道?
送出感谢: 8
接收感谢: 10
引用:
:显卡驱动与内核版本有关么?

根据个人经验 应该有


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 安装ati官方闭源驱动出错,求高手解决?
帖子发表于 : 2010-05-12 11:45 
头像

注册: 2010-03-12 17:07
帖子: 12
送出感谢: 0 次
接收感谢: 0 次
看贴了解到ati官方闭源驱动3D性能最好,有节能功能,而开源驱动没有节能功能,一直在全速运行,无法监控显卡温度,3D性能比较低 。现在天热了,还是还是想试一试ati官方闭源驱动 .......


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 安装ati官方闭源驱动出错,求高手解决?
帖子发表于 : 2010-05-12 11:50 
头像

注册: 2008-03-25 15:49
帖子: 25877
地址: 谁知道?
送出感谢: 8
接收感谢: 10
去amd官网看看 这个驱动 支持到哪个内核 哪个xorg的版本.


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 安装ati官方闭源驱动出错,求高手解决?
帖子发表于 : 2010-05-12 12:09 
头像

注册: 2010-03-12 17:07
帖子: 12
送出感谢: 0 次
接收感谢: 0 次
pocoyo 写道:
去amd官网看看 这个驱动 支持到哪个内核 哪个xorg的版本.

我是在这个帖子上看到介绍的:http://forum.ubuntu.org.cn/viewtopic.php?f=42&t=268905
官方链接是:http://support.amd.com/us/gpudownload/linux/Pages/radeon_linux.aspx?type=2.4.1&product=2.4.1.3.36&lang=English

Description:
Automated installer and Display Drivers for X.Org 6.7, 6.8, 6.9, 7.0, 7.1, 7.2, 7.3, 7.4, or 7.5

不过看到官方提到:The display driver requires POSIX shared memory to be enabled on the system.
Kernal Sources package is no longer required if Kernel Header package is installed.

我安装了linux-headers-2.6.33-020633_2.6.33-020633_all.deb和linux-headers-2.6.33-020633-generic_2.6.33-020633_i386.deb,应该是与内核版本无关了吧?
我想请问一下xorg的版本是什么?怎么查询自己系统的xorg的版本?


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 安装ati官方闭源驱动出错,求高手解决?
帖子发表于 : 2010-05-12 12:14 
头像

注册: 2010-03-12 17:07
帖子: 12
送出感谢: 0 次
接收感谢: 0 次
hcym 写道:
大虾都用开源默认的,省下气力干正经事

大瞎才折腾闭源

即使不使用闭源驱动,不过也想弄清楚,错在哪里?我不想每次遇见问题,就躲避问题,如果那样,那干脆回到windows系统去捣鼓去算了....... :em06


页首
 用户资料  
 
8 楼 
 文章标题 : Re: 安装ati官方闭源驱动出错,求高手解决?
帖子发表于 : 2010-05-12 12:18 
头像

注册: 2010-03-12 17:07
帖子: 12
送出感谢: 0 次
接收感谢: 0 次
这是我的ubuntu系统信息


附件:
文件注释: 这是我的ubuntu系统信息
Screenshot.png
Screenshot.png [ 33.96 KiB | 被浏览 997 次 ]
页首
 用户资料  
 
9 楼 
 文章标题 : Re: 安装ati官方闭源驱动出错,求高手解决?
帖子发表于 : 2010-05-12 15:56 
头像

注册: 2010-03-12 17:07
帖子: 12
送出感谢: 0 次
接收感谢: 0 次
这下纠结了,把官方闭源驱动卸载后,到新得立软件包安装开源驱动fglrx,这下也提示出错,如图:
希望大虾能指点下!


附件:
Screenshot3.png
Screenshot3.png [ 56.12 KiB | 被浏览 980 次 ]

Screenshot1.png
Screenshot1.png [ 25.27 KiB | 被浏览 980 次 ]

页首
 用户资料  
 
10 楼 
 文章标题 : Re: 安装ati官方闭源驱动出错,求高手解决?
帖子发表于 : 2010-05-21 12:42 

注册: 2009-08-11 22:19
帖子: 56
送出感谢: 0 次
接收感谢: 0 次
兄弟,一样的问题。

纠结几天了。


页首
 用户资料  
 
11 楼 
 文章标题 : Re: 安装ati官方闭源驱动出错,求高手解决?
帖子发表于 : 2010-05-21 13:21 
头像

注册: 2008-07-21 9:44
帖子: 2371
地址: 深圳
送出感谢: 0 次
接收感谢: 0 次
LZ 9楼贴出的问题在我第一次从9.10升级时遇到,也是未能解决。
后来是卸载了受限驱动再升级才避开了这个问题


_________________

My blog


页首
 用户资料  
 
12 楼 
 文章标题 : Re: 安装ati官方闭源驱动出错,求高手解决?
帖子发表于 : 2010-05-21 13:34 
头像

注册: 2009-04-03 16:06
帖子: 547
送出感谢: 1
接收感谢: 2
话说楼主没事折腾ppa的2.6.33内核干嘛,换回2.6.32试试


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 12 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译